DLM_TOOL(8)

NAME
dlm_tool - a utility for the dlm and dlm_controld daemon

SYNOPSIS
dlm_tool [COMMAND] [OPTIONS] [ name ]

COMMANDS

ls
    Display dlm_controld internal lockspace state.

status
    Dump dlm_controld daemon state.

dump
    Dump dlm_controld debug buffer.

dump_config
    Dump dlm_controld config settings.

reload_config
    Reload dlm_controld config settings from dlm.conf.

set_config setting=value
    Set dlm_controld config settings in the currently running daemon.

fence_ack nodeid
    Cancel a waiting fencing operation and consider it successful.

log_plock
    Dump dlm_controld plock debug buffer.

plocks lockspace_name
    Dump posix locks from dlm_controld for the lockspace.

join lockspace_name
    Join a lockspace.

leave lockspace_name
    Leave a lockspace.

joinleave lockspace_name
    Join then immediately leave a lockspace (for testing only.)

lockdebug lockspace_name
    Complete display of locks from the lockspace.

lockdump lockspace_name
    Minimal display of locks from the lockspace (deprecated).

run command
    Run command and check for result (for lvmlockd only.)

run_start command
    Run command and don't check for result.

run_check uuid
    Check status of a command that was run.

run_cancel uuid
    Cancel a command that was run and is not yet done.

run_list
    Dump a list of running commands.

OPTIONS

-n Show all node information from dlm_tool ls.

-d 0|1 Resource directory off/on in join, default 0

-e 0|1 Exclusive create off/on in join, default 0

-f 0|1 FS (filesystem) flag off/on in join, default 0

-i sec Seconds to wait in run_check.

-m mode Permission mode for lockspace device (octal), default 0600

-s Summary following lockdebug output (experiemental)

-v Verbose lockdebug or status output

-w Wide lockdebug output

-M Include MSTCPY locks in lockdump output

-h Print help, then exit

-V Print program version information, then exit

USAGE

  fence_ack

See dlm_tool status for information about waiting fencing operations for specific nodeid's.

  set_config

dlm_tool set_config can change certain config settings in the currently running dlm_controld. Supported options:

daemon_debug
log_debug
debug_logfile
plock_debug
plock_rate_limit
drop_resources_time
drop_resources_count
drop_resources_age
post_join_delay
enable_quorum_fencing
enable_quorum_lockspace
repeat_failed_fencing

Special cases to revert a previous set_config and restore the previous value (from default or dlm.conf):

dlm_tool set_config setting=restore
restores a single setting.

dlm_tool set_config restore_all
restores all settings.

  dump_config

A config setting may have been set from: the default, the dlm_controld command line, dlm.conf at startup, dlm.conf from reload_config, dlm_tool set_config. The dump_config output indicates how values were set:

setting=value
    default value.

setting=value (cli option)
    Set from a dlm_controld command line option.

setting=value (dlm.conf)
    Set from dlm.conf (at startup or reload.)

setting=value (set_config)
    Set from dlm_tool set_config.

EXAMPLES

  dump_config

$ dlm_tool dump_config | head -n 5
daemon_debug=1 (set_config)
foreground=0
log_debug=1 (dlm.conf)
protocol=detect

In this case, daemon_debug is set by set_config, log_debug is set from dlm.conf, foreground and protocol are using default values.

  set_config

$ dlm_tool dump_config | grep log_debug
log_debug=1 (dlm.conf)

$ dlm_tool set_config "log_debug=0"
set_config done

$ dlm_tool dump_config | grep log_debug
log_debug=0 (set_config)

$ dlm_tool set_config "log_debug=restore"
set_config done

$ dlm_tool dump_config | grep log_debug
log_debug=1 (dlm.conf)

log_debug is set by dlm.conf (value is 1), then run set_config to change to 0, then use restore to restore to dlm.conf setting.

  set_config

$ dlm_tool dump_config | grep _debug
daemon_debug=0
log_debug=1 (dlm.conf)
plock_debug=0

$ dlm_tool set_config "daemon_debug=1 log_debug=1 plock_debug=1"
set_config done

$ dlm_tool dump_config | grep _debug
daemon_debug=1 (set_config)
log_debug=1 (set_config)
plock_debug=1 (set_config)

$ dlm_tool set_config "restore_all"
set_config done

$ dlm_tool dump_config | grep _debug
daemon_debug=0
log_debug=1 (dlm.conf)
plock_debug=0

SEE ALSO
dlm_controld(8), dlm.conf(5)